org.appng.xml.platform

## Enum ParamType

- java.lang.Object
- - java.lang.Enum<ParamType>
  - - org.appng.xml.platform.ParamType

- All Implemented Interfaces:
    Serializable, Comparable<ParamType>

      public enum ParamType
      extends Enum<ParamType>

  Java class for paramType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="paramType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="boolean"/>
           <enumeration value="decimal"/>
           <enumeration value="int"/>
           <enumeration value="text"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` Parameter is a boolean.
    `DECIMAL` Parameter is a decimal.
    `INT` Parameter is an integer.
    `TEXT` Parameter is text.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParamType` | `fromValue(String v)`
    `String` | `value()`
    `static ParamType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ParamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final ParamType BOOLEAN

      Parameter is a boolean.

    - #### DECIMAL

          public static final ParamType DECIMAL

      Parameter is a decimal.

    - #### INT

          public static final ParamType INT

      Parameter is an integer.

    - #### TEXT

          public static final ParamType TEXT

      Parameter is text.

  - ### Method Detail

    - #### values

          public static ParamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParamType c : ParamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParamType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static ParamType fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.